# Joplin Plugin - Quick HTML tags

This Joplin plugin allows you to add HTML tags more conveniently and quickly.

**Note**: Requires Joplin 2.1+

**Version**: 0.2.0

## Preview

![](docs/example-quick-html-tags.gif)

> Adding attributes to html tags is possible as well

## Installation

- Open Joplin and navigate to `Preferences > Plugins`
- Search for `Quick HTML tags` and click install
- Restart Joplin

### Uninstall

- Open Joplin and navigate to `Tools > Options > Plugins`
- Search for `Quick HTML tags` plugin
- Press `Delete` to remove the plugin or `Disable` to disable it
- Restart Joplin

## Usage

Select the text you would like to include in the tag.

To access the quick HTML shortcut:
- press on the `Quick HTML tag` button or
- use the shortcut `Ctrl + H`

## Settings

**Predefined tags**

Write your predefined HTML tags seperated by semicolon ;
This will allow you to quickly access your tags through the dropdown menu.
You can also add tags manually via the shortcut.

**Enable newlines breaking**

Sometimes when using HTML tags in Joplin, the content renders incorrectly.
This setting manually inserts newlines when needed to prevent incorrect rendering of content .

**Enable markdown styling inside tags**

This setting will include markdown attribute in tags to enable styling inside of tags.

## Notes

- Some of my personal predefined custom tags can be found [here](https://github.com/martinkorelic/my-joplin-theme).

> Created on 17th July 2021